function xcp = CANTestxcp

xcp.events     =  repmat(struct('id',{}, 'sampletime', {}, 'offset', {}), getNumEvents, 1 );
xcp.parameters =  repmat(struct('symbol',{}, 'size', {}, 'dtname', {}, 'baseaddr', {}), getNumParameters, 1 );
xcp.signals    =  repmat(struct('symbol',{}), getNumSignals, 1 );
xcp.models     =  cell(1,getNumModels);
    
xcp.models{1} = 'CANTest';
   
   
         
xcp.events(1).id         = 0;
xcp.events(1).sampletime = 0.002;
xcp.events(1).offset     = 0.0;
    
xcp.signals(1).symbol =  'CANTest_B.CANRead1_o1';
    
xcp.signals(2).symbol =  'CANTest_B.CANRead1_o2';
    
xcp.signals(3).symbol =  'CANTest_B.RPM';
    
xcp.signals(4).symbol =  'CANTest_B.TQ';
    
xcp.signals(5).symbol =  'CANTest_B.ContMode';
    
xcp.signals(6).symbol =  'CANTest_B.Ready';
    
xcp.signals(7).symbol =  'CANTest_B.Gear';
    
xcp.signals(8).symbol =  'CANTest_B.BMS';
    
xcp.signals(9).symbol =  'CANTest_B.PosTQLim';
    
xcp.signals(10).symbol =  'CANTest_B.NegTQLim';
    
xcp.signals(11).symbol =  'CANTest_B.CANPack';
    
xcp.signals(12).symbol =  'CANTest_B.gain';
    
xcp.signals(13).symbol =  'CANTest_B.gain1';
    
xcp.signals(14).symbol =  'CANTest_B.gain2';
    
xcp.signals(15).symbol =  'CANTest_B.Product1';
    
xcp.signals(16).symbol =  'CANTest_B.Product11';
    
xcp.signals(17).symbol =  'CANTest_B.Product2';
    
xcp.signals(18).symbol =  'CANTest_B.Sum1';
    
xcp.signals(19).symbol =  'CANTest_B.Sum2';
    
xcp.signals(20).symbol =  'CANTest_B.Sum3';
    
xcp.signals(21).symbol =  'CANTest_B.Sum4';
    
xcp.signals(22).symbol =  'CANTest_B.d';
    
xcp.signals(23).symbol =  'CANTest_B.d1';
         
xcp.parameters(1).symbol = 'CANTest_P.CANRead1_P1';
xcp.parameters(1).size   =  1;       
xcp.parameters(1).dtname = 'real_T'; 
xcp.parameters(2).baseaddr = '&CANTest_P.CANRead1_P1';     
         
xcp.parameters(2).symbol = 'CANTest_P.CANRead1_P2';
xcp.parameters(2).size   =  1;       
xcp.parameters(2).dtname = 'real_T'; 
xcp.parameters(3).baseaddr = '&CANTest_P.CANRead1_P2';     
         
xcp.parameters(3).symbol = 'CANTest_P.CANRead1_P3';
xcp.parameters(3).size   =  1;       
xcp.parameters(3).dtname = 'real_T'; 
xcp.parameters(4).baseaddr = '&CANTest_P.CANRead1_P3';     
         
xcp.parameters(4).symbol = 'CANTest_P.CANRead1_P4';
xcp.parameters(4).size   =  5;       
xcp.parameters(4).dtname = 'real_T'; 
xcp.parameters(5).baseaddr = '&CANTest_P.CANRead1_P4[0]';     
         
xcp.parameters(5).symbol = 'CANTest_P.CANRead1_P5';
xcp.parameters(5).size   =  1;       
xcp.parameters(5).dtname = 'real_T'; 
xcp.parameters(6).baseaddr = '&CANTest_P.CANRead1_P5';     
         
xcp.parameters(6).symbol = 'CANTest_P.CANRead1_P6';
xcp.parameters(6).size   =  1;       
xcp.parameters(6).dtname = 'real_T'; 
xcp.parameters(7).baseaddr = '&CANTest_P.CANRead1_P6';     
         
xcp.parameters(7).symbol = 'CANTest_P.CANSetup_P1';
xcp.parameters(7).size   =  1;       
xcp.parameters(7).dtname = 'real_T'; 
xcp.parameters(8).baseaddr = '&CANTest_P.CANSetup_P1';     
         
xcp.parameters(8).symbol = 'CANTest_P.CANSetup_P2';
xcp.parameters(8).size   =  2;       
xcp.parameters(8).dtname = 'real_T'; 
xcp.parameters(9).baseaddr = '&CANTest_P.CANSetup_P2[0]';     
         
xcp.parameters(9).symbol = 'CANTest_P.CANSetup_P3';
xcp.parameters(9).size   =  1;       
xcp.parameters(9).dtname = 'real_T'; 
xcp.parameters(10).baseaddr = '&CANTest_P.CANSetup_P3';     
         
xcp.parameters(10).symbol = 'CANTest_P.CANSetup_P4';
xcp.parameters(10).size   =  1;       
xcp.parameters(10).dtname = 'real_T'; 
xcp.parameters(11).baseaddr = '&CANTest_P.CANSetup_P4';     
         
xcp.parameters(11).symbol = 'CANTest_P.CANSetup_P5';
xcp.parameters(11).size   =  1;       
xcp.parameters(11).dtname = 'real_T'; 
xcp.parameters(12).baseaddr = '&CANTest_P.CANSetup_P5';     
         
xcp.parameters(12).symbol = 'CANTest_P.CANSetup_P6';
xcp.parameters(12).size   =  1;       
xcp.parameters(12).dtname = 'real_T'; 
xcp.parameters(13).baseaddr = '&CANTest_P.CANSetup_P6';     
         
xcp.parameters(13).symbol = 'CANTest_P.CANSetup_P7';
xcp.parameters(13).size   =  4;       
xcp.parameters(13).dtname = 'real_T'; 
xcp.parameters(14).baseaddr = '&CANTest_P.CANSetup_P7[0]';     
         
xcp.parameters(14).symbol = 'CANTest_P.CANSetup_P8';
xcp.parameters(14).size   =  6;       
xcp.parameters(14).dtname = 'real_T'; 
xcp.parameters(15).baseaddr = '&CANTest_P.CANSetup_P8[0]';     
         
xcp.parameters(15).symbol = 'CANTest_P.CANSetup_P9';
xcp.parameters(15).size   =  2;       
xcp.parameters(15).dtname = 'real_T'; 
xcp.parameters(16).baseaddr = '&CANTest_P.CANSetup_P9[0]';     
         
xcp.parameters(16).symbol = 'CANTest_P.CANSetup_P10';
xcp.parameters(16).size   =  2;       
xcp.parameters(16).dtname = 'real_T'; 
xcp.parameters(17).baseaddr = '&CANTest_P.CANSetup_P10[0]';     
         
xcp.parameters(17).symbol = 'CANTest_P.CANSetup_P11';
xcp.parameters(17).size   =  1;       
xcp.parameters(17).dtname = 'real_T'; 
xcp.parameters(18).baseaddr = '&CANTest_P.CANSetup_P11';     
         
xcp.parameters(18).symbol = 'CANTest_P.CANSetup_P12';
xcp.parameters(18).size   =  4;       
xcp.parameters(18).dtname = 'real_T'; 
xcp.parameters(19).baseaddr = '&CANTest_P.CANSetup_P12[0]';     
         
xcp.parameters(19).symbol = 'CANTest_P.CANSetup_P13';
xcp.parameters(19).size   =  6;       
xcp.parameters(19).dtname = 'real_T'; 
xcp.parameters(20).baseaddr = '&CANTest_P.CANSetup_P13[0]';     
         
xcp.parameters(20).symbol = 'CANTest_P.CANSetup_P14';
xcp.parameters(20).size   =  2;       
xcp.parameters(20).dtname = 'real_T'; 
xcp.parameters(21).baseaddr = '&CANTest_P.CANSetup_P14[0]';     
         
xcp.parameters(21).symbol = 'CANTest_P.CANSetup_P15';
xcp.parameters(21).size   =  2;       
xcp.parameters(21).dtname = 'real_T'; 
xcp.parameters(22).baseaddr = '&CANTest_P.CANSetup_P15[0]';     
         
xcp.parameters(22).symbol = 'CANTest_P.CANSetup_P16';
xcp.parameters(22).size   =  1;       
xcp.parameters(22).dtname = 'real_T'; 
xcp.parameters(23).baseaddr = '&CANTest_P.CANSetup_P16';     
         
xcp.parameters(23).symbol = 'CANTest_P.CANSetup_P17';
xcp.parameters(23).size   =  1;       
xcp.parameters(23).dtname = 'real_T'; 
xcp.parameters(24).baseaddr = '&CANTest_P.CANSetup_P17';     
         
xcp.parameters(24).symbol = 'CANTest_P.CANSetup_P18';
xcp.parameters(24).size   =  5;       
xcp.parameters(24).dtname = 'real_T'; 
xcp.parameters(25).baseaddr = '&CANTest_P.CANSetup_P18[0]';     
         
xcp.parameters(25).symbol = 'CANTest_P.CANSetup_P19';
xcp.parameters(25).size   =  1;       
xcp.parameters(25).dtname = 'real_T'; 
xcp.parameters(26).baseaddr = '&CANTest_P.CANSetup_P19';     
         
xcp.parameters(26).symbol = 'CANTest_P.CANSetup_P20';
xcp.parameters(26).size   =  2;       
xcp.parameters(26).dtname = 'real_T'; 
xcp.parameters(27).baseaddr = '&CANTest_P.CANSetup_P20[0]';     
         
xcp.parameters(27).symbol = 'CANTest_P.CANSetup_P21';
xcp.parameters(27).size   =  2;       
xcp.parameters(27).dtname = 'real_T'; 
xcp.parameters(28).baseaddr = '&CANTest_P.CANSetup_P21[0]';     
         
xcp.parameters(28).symbol = 'CANTest_P.CANSetup_P22';
xcp.parameters(28).size   =  2;       
xcp.parameters(28).dtname = 'real_T'; 
xcp.parameters(29).baseaddr = '&CANTest_P.CANSetup_P22[0]';     
         
xcp.parameters(29).symbol = 'CANTest_P.CANSetup_P23';
xcp.parameters(29).size   =  2;       
xcp.parameters(29).dtname = 'real_T'; 
xcp.parameters(30).baseaddr = '&CANTest_P.CANSetup_P23[0]';     
         
xcp.parameters(30).symbol = 'CANTest_P.CANSetup_P24';
xcp.parameters(30).size   =  1;       
xcp.parameters(30).dtname = 'real_T'; 
xcp.parameters(31).baseaddr = '&CANTest_P.CANSetup_P24';     
         
xcp.parameters(31).symbol = 'CANTest_P.Constant1_Value_j';
xcp.parameters(31).size   =  1;       
xcp.parameters(31).dtname = 'real_T'; 
xcp.parameters(32).baseaddr = '&CANTest_P.Constant1_Value_j';     
         
xcp.parameters(32).symbol = 'CANTest_P.ContMode_Value';
xcp.parameters(32).size   =  1;       
xcp.parameters(32).dtname = 'real_T'; 
xcp.parameters(33).baseaddr = '&CANTest_P.ContMode_Value';     
         
xcp.parameters(33).symbol = 'CANTest_P.TQCom_Value';
xcp.parameters(33).size   =  1;       
xcp.parameters(33).dtname = 'real_T'; 
xcp.parameters(34).baseaddr = '&CANTest_P.TQCom_Value';     
         
xcp.parameters(34).symbol = 'CANTest_P.ContM_Gain';
xcp.parameters(34).size   =  1;       
xcp.parameters(34).dtname = 'real_T'; 
xcp.parameters(35).baseaddr = '&CANTest_P.ContM_Gain';     
         
xcp.parameters(35).symbol = 'CANTest_P.Constant_Value';
xcp.parameters(35).size   =  1;       
xcp.parameters(35).dtname = 'real_T'; 
xcp.parameters(36).baseaddr = '&CANTest_P.Constant_Value';     
         
xcp.parameters(36).symbol = 'CANTest_P.Constant1_Value';
xcp.parameters(36).size   =  1;       
xcp.parameters(36).dtname = 'real_T'; 
xcp.parameters(37).baseaddr = '&CANTest_P.Constant1_Value';     
         
xcp.parameters(37).symbol = 'CANTest_P.Constant2_Value';
xcp.parameters(37).size   =  1;       
xcp.parameters(37).dtname = 'real_T'; 
xcp.parameters(38).baseaddr = '&CANTest_P.Constant2_Value';     
         
xcp.parameters(38).symbol = 'CANTest_P.Constant3_Value';
xcp.parameters(38).size   =  1;       
xcp.parameters(38).dtname = 'real_T'; 
xcp.parameters(39).baseaddr = '&CANTest_P.Constant3_Value';     
         
xcp.parameters(39).symbol = 'CANTest_P.Constant4_Value';
xcp.parameters(39).size   =  1;       
xcp.parameters(39).dtname = 'real_T'; 
xcp.parameters(40).baseaddr = '&CANTest_P.Constant4_Value';     
         
xcp.parameters(40).symbol = 'CANTest_P.CANWrite1_P1';
xcp.parameters(40).size   =  1;       
xcp.parameters(40).dtname = 'real_T'; 
xcp.parameters(41).baseaddr = '&CANTest_P.CANWrite1_P1';     
         
xcp.parameters(41).symbol = 'CANTest_P.CANWrite1_P2';
xcp.parameters(41).size   =  1;       
xcp.parameters(41).dtname = 'real_T'; 
xcp.parameters(42).baseaddr = '&CANTest_P.CANWrite1_P2';     
         
xcp.parameters(42).symbol = 'CANTest_P.CANWrite1_P3';
xcp.parameters(42).size   =  1;       
xcp.parameters(42).dtname = 'real_T'; 
xcp.parameters(43).baseaddr = '&CANTest_P.CANWrite1_P3';     
         
xcp.parameters(43).symbol = 'CANTest_P.CANWrite1_P4';
xcp.parameters(43).size   =  1;       
xcp.parameters(43).dtname = 'real_T'; 
xcp.parameters(44).baseaddr = '&CANTest_P.CANWrite1_P4';     
         
xcp.parameters(44).symbol = 'CANTest_P.CANWrite1_P5';
xcp.parameters(44).size   =  5;       
xcp.parameters(44).dtname = 'real_T'; 
xcp.parameters(45).baseaddr = '&CANTest_P.CANWrite1_P5[0]';     
         
xcp.parameters(45).symbol = 'CANTest_P.CANWrite1_P6';
xcp.parameters(45).size   =  1;       
xcp.parameters(45).dtname = 'real_T'; 
xcp.parameters(46).baseaddr = '&CANTest_P.CANWrite1_P6';     
         
xcp.parameters(46).symbol = 'CANTest_P.CANWrite1_P7';
xcp.parameters(46).size   =  1;       
xcp.parameters(46).dtname = 'real_T'; 
xcp.parameters(47).baseaddr = '&CANTest_P.CANWrite1_P7';     
         
xcp.parameters(47).symbol = 'CANTest_P.Constant1_Value_a';
xcp.parameters(47).size   =  1;       
xcp.parameters(47).dtname = 'real_T'; 
xcp.parameters(48).baseaddr = '&CANTest_P.Constant1_Value_a';     
         
xcp.parameters(48).symbol = 'CANTest_P.gain1_Gain';
xcp.parameters(48).size   =  1;       
xcp.parameters(48).dtname = 'real_T'; 
xcp.parameters(49).baseaddr = '&CANTest_P.gain1_Gain';     
         
xcp.parameters(49).symbol = 'CANTest_P.gain2_Gain';
xcp.parameters(49).size   =  1;       
xcp.parameters(49).dtname = 'real_T'; 
xcp.parameters(50).baseaddr = '&CANTest_P.gain2_Gain';     
         
xcp.parameters(50).symbol = 'CANTest_P.d_InitialCondition';
xcp.parameters(50).size   =  1;       
xcp.parameters(50).dtname = 'real_T'; 
xcp.parameters(51).baseaddr = '&CANTest_P.d_InitialCondition';     
         
xcp.parameters(51).symbol = 'CANTest_P.d1_InitialCondition';
xcp.parameters(51).size   =  1;       
xcp.parameters(51).dtname = 'real_T'; 
xcp.parameters(52).baseaddr = '&CANTest_P.d1_InitialCondition';     
         
xcp.parameters(52).symbol = 'CANTest_P.Ts';
xcp.parameters(52).size   =  1;       
xcp.parameters(52).dtname = 'real_T'; 
xcp.parameters(53).baseaddr = '&CANTest_P.Ts';     

function n = getNumParameters
n = 52;

function n = getNumSignals
n = 23;

function n = getNumEvents
n = 1;

function n = getNumModels
n = 1;

